Delete assistant
DELETE
https://app.sulus.ai/api/assistants/{assistantId}
Delete an assistant from the system and the live platform
Authentication
Send a bearer token created on your dashboard's Developer page:
Authorization: Bearer <YOUR_API_KEY>
Path parameters
assistantId
string
Required
The assistant's public id (UUID).
Validation:
uuid — the public assistant_idErrors
| Status | Meaning | Body |
|---|---|---|
404 |
Assistant not found, or outside your account scope | {"success":false,"message":"Assistant not found"} |
500 |
Live platform delete failed | {"success":false,"message":"Failed to delete the assistant from the voice platform. Please try again."} |
401 |
Missing or invalid bearer token | |
403 |
Feature assistants not enabled for the account |
curl --request DELETE \
--url https://app.sulus.ai/api/assistants/{assistantId} \
--header 'Authorization: Bearer <YOUR_API_KEY>'
import requests
url = "https://app.sulus.ai/api/assistants/{assistantId}"
headers = {"Authorization": "Bearer <YOUR_API_KEY>"}
response = requests.delete(url, headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://app.sulus.ai/api/assistants/{assistantId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <YOUR_API_KEY>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
200
{
"success": true,
"message": "Assistant deleted successfully"
}
Response — DELETE
/assistants/{assistantId}
200
{
"success": true,
"message": "Assistant deleted successfully"
}